<style>
    .align-right {
        text-align: right;
    }
</style>
{if $result === ""}
    <div class="alert alert-danger" role="alert">
        <i class="fas fa-exclamation-triangle"></i>&#160;&#160;
        Es gab ein Problem beim Anfragen der Serverstatistiken. Bitte versuchen Sie es in wenigen Minuten erneut oder
        kontaktieren Sie den Support.
    </div>
{elseif $vars.serverid === 0}
    <div class="alert alert-danger" role="alert">
        <i class="fas fa-exclamation-triangle"></i>&#160;&#160;
        Es gab ein kritisches Problem bei Ihrem Server. Bitte kontaktieren Sie den Support.
    </div>
{elseif $result.pb}
    <div class="alert alert-warning" role="alert">
        <i class="fas fa-exclamation-triangle"></i>&#160;&#160;
        Es wird gerade ein Backup/Restore ausgeführt, bitte warten!
    </div>
    <div class="progress-label">
        {$result.pb}%
    </div>
    <div class="progress" style="margin-top: 10px;">
        <div class="progress-bar " role="progressbar"
             style="width: {$result.pb}%;"
             aria-valuemax="100"
             aria-valuemin="0"
             aria-valuenow="{$result.pb}"
        ></div>
    </div>
    <script defer type="text/javascript">
        setTimeout(function () {
            window.location.reload();
        }, 5000)
    </script>
{elseif $result.job}
    {if $result.job.failed}
        <div class="alert alert-danger" role="alert">
            <i class="fas fa-exclamation-triangle"></i>&#160;&#160;
            Es gab ein Problem beim Ausführen eines Auftrags. Bitte kontaktieren Sie den Support.
        </div>
    {else}
        <div class="alert alert-warning" role="alert">
            <i class="fas fa-exclamation-triangle"></i>&#160;&#160;
            Für Ihren Server wird gerade ein Auftrag ausgeführt. Wir bitten um etwas Geduld.
        </div>
        <div class="progress-label">
            {$result.job.progress}%
        </div>
        <div class="progress" style="margin-top: 10px;">
            <div class="progress-bar " role="progressbar"
                 style="width: {$result.job.progress}%;"
                 aria-valuemax="100"
                 aria-valuemin="0"
                 aria-valuenow="{$result.job.progress}"
            ></div>
        </div>
        <script defer type="text/javascript">
            setTimeout(function () {
                window.location.reload();
            }, 5000)
        </script>
    {/if}
{else}
    <h3>
        {if $result.state === "running"}
            <span class="badge" style="background-color: #28a745;border-radius: .25rem;margin-top: -3px;">
                Online
            </span>
        {elseif $result.state === "stopped"}
            <span class="badge" style="background-color: #dc3545;border-radius: .25rem;margin-top: -3px;">
                Gestoppt
            </span>
        {/if}
    </h3>
    <hr>
    <div class="row">
        <div class="col-md-4">
            <div style="text-align: left">
                CPU Auslastung
                <div class="progress-label" style="float:right">
                    {$result.cpu}%
                </div>
                <div class="progress" style="margin-top: 10px;">
                    <div class="progress-bar " role="progressbar"
                         style="width: {$result.cpu}%;{if $result.cpu > 80}background-color:#dc3545!important{/if}"
                         aria-valuemax="100"
                         aria-valuemin="0"
                         aria-valuenow="{$result.cpu}"
                    ></div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div style="text-align: left">
                RAM Auslastung
                <div class="progress-label" style="float:right">
                    {$result.mem}%
                </div>
                <div class="progress" style="margin-top: 10px;">
                    <div class="progress-bar " role="progressbar"
                         style="width: {$result.mem}%;{if $result.mem > 80}background-color:#dc3545!important{/if}"
                         aria-valuemax="100"
                         aria-valuemin="0"
                         aria-valuenow="{$result.mem}"
                    ></div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div style="text-align: left">
                Traffic Auslastung
                <div class="progress-label" style="float:right">
                    {$result.netout}%
                </div>
                <div class="progress" style="margin-top: 10px;">
                    <div class="progress-bar " role="progressbar"
                         style="width: {$result.netout}%;{if $result.netout > 80}background-color:#dc3545!important{/if}"
                         aria-valuemax="100"
                         aria-valuemin="0"
                         aria-valuenow="{$result.netout}"
                    ></div>
                </div>
            </div>
        </div>
    </div>
    <div class="row" style="margin-top: 25px;">
        <div class="col-md-3">
            {if $result.state === "running"}
                <button disabled class="btn btn-block btn-success">
                    Server starten
                </button>
            {else}
                <a href="clientarea.php?action=productdetails&id={$serviceid}&modop=custom&a=start"
                   class="btn btn-block btn-success">
                    Server starten
                </a>
            {/if}
        </div>
        <div class="col-md-3">
            {if $result.state !== "running"}
                <button disabled class="btn btn-block btn-warning">
                    Server neustarten
                </button>
            {else}
                <a href="clientarea.php?action=productdetails&id={$serviceid}&modop=custom&a=restart"
                   class="btn btn-block btn-warning">
                    Server neustarten
                </a>
            {/if}
        </div>
        <div class="col-md-3">
            {if $result.state !== "running"}
                <button disabled class="btn btn-block btn-danger">
                    Server stoppen
                </button>
            {else}
                <a href="clientarea.php?action=productdetails&id={$serviceid}&modop=custom&a=stop"
                   class="btn btn-block btn-danger">
                    Server stoppen
                </a>
            {/if}
        </div>
        <div class="col-md-3">
            {if $result.state !== "running"}
                <button disabled class="btn btn-block btn-danger">
                    Server herunterfahren
                </button>
            {else}
                <a href="clientarea.php?action=productdetails&id={$serviceid}&modop=custom&a=shutdown"
                   class="btn btn-block btn-danger">
                    Server herunterfahren
                </a>
            {/if}
        </div>
        <div class="col-md-6" style="margin-top: 15px;text-align: left">
            <h5>
                Onlinezeit: <span class="server_onlinetime"><i class="fas fa-sync fa-spin"></i></span>
            </h5>
        </div>
        <div class="col-md-6" style="margin-top: 15px;text-align: left">
            <h5>
                Root-Passwort:
                <span class="server_rootpassword">
                    ***********
                </span>
                <i class="fas fa-eye server_rootpassword_change" style="cursor:pointer;"></i>
                <a href="clientarea.php?action=productdetails&id={$serviceid}&modop=custom&a=password">
                    <i class="fas fa-sync-alt" style="cursor:pointer;"></i>
                </a>
            </h5>
        </div>
    </div>
    <div class="row" style="margin-top: 100px;">
        <div class="col-md-6" style="text-align: left;">
            <h3 style="margin-top: 5px;margin-bottom: 10px">
                Konfiguration
            </h3>
            <hr>
            <div class="row" style="font-family: Raleway,'Helvetica Neue',Helvetica,Arial,sans-serif">
                <div class="col-xs-12 col-md-6">
                    <span style="font-size: 19px;font-weight: 600">
                        <i class="fas fa-microchip"></i> {$result.config.cpuCores}
                    </span><br>
                    vCores
                </div>
                <div class="col-xs-12 col-md-6">
                    <span style="font-size: 19px;font-weight: 600">
                        <i class="fas fa-memory"></i> {$result.config.mem} GB
                    </span><br>
                    RAM
                </div>
                <div class="col-xs-12 col-md-6">
                    <span style="font-size: 19px;font-weight: 600">
                        <i class="fas fa-hdd"></i> {$result.config.disk}
                    </span><br>
                    SSD
                </div>
                <div class="col-xs-12 col-md-6">
                    <span style="font-size: 19px;font-weight: 600">
                        <i class="fas fa-compact-disc"></i> {$result.config.template}
                    </span><br>
                    Betriebssystem
                </div>
            </div>
        </div>
        <div class="col-md-6" style="text-align: left;">
            <h3 style="margin-top: 5px;margin-bottom: 10px">
                Abrechnung
            </h3>
            <hr>
            <div class="row" style="font-family: Raleway,'Helvetica Neue',Helvetica,Arial,sans-serif">
                <div class="col-md-6">
                    Betrag
                </div>
                <div class="col-md-6 align-right">
                    {$recurringamount}
                </div>
                <div class="col-md-6">
                    Verrechnungszyklus
                </div>
                <div class="col-md-6 align-right">
                    {$billingcycle}
                </div>
                <div class="col-md-6">
                    Verlängerungsdatum
                </div>
                <div class="col-md-6 align-right">
                    {$nextduedate}
                </div>
            </div>
        </div>
    </div>
    <div class="row" style="margin-top: 25px;">
        <div class="col-md-6" style="text-align: left;">
            <h3 style="margin-top: 5px;margin-bottom: 10px">
                Netzwerk
            </h3>
            <hr>
            <div class="row" style="font-family: Raleway,'Helvetica Neue',Helvetica,Arial,sans-serif">
                <div class="col-md-6">
                    IPs
                </div>
                <div class="col-md-6 align-right">
                    {foreach from=$result.config.ips item=ip}
                        {$ip} <!--<a
                            href="clientarea.php?action=productdetails&id={$vars['accountid']}&page=managerdns&ip={$ip}"><i
                                class="fas fa-eye"></i></a>--><br/>
                    {/foreach}
                </div>
            </div>
        </div>
    </div>
    <script>
        let product_uptime = {$result.uptime};
        let product_rootpassword = "{$result.config.password}";

        if (product_uptime !== 0) {
            let uptimeinterval = setInterval(() => {
                var sec_num = parseInt(product_uptime, 10);
                var days = Math.floor(sec_num / 86400);
                var hours = Math.floor((sec_num - (days * 86400)) / 3600);
                var minutes = Math.floor((sec_num - (hours * 3600) - (days * 86400)) / 60);
                var seconds = sec_num - (hours * 3600) - (minutes * 60) - (days * 86400);

                if (days < 10) {
                    days = "0" + days;
                }
                if (hours < 10) {
                    hours = "0" + hours;
                }
                if (minutes < 10) {
                    minutes = "0" + minutes;
                }
                if (seconds < 10) {
                    seconds = "0" + seconds;
                }

                $('.server_onlinetime').html(days + 'd, ' + hours + 'h, ' + minutes + 'm & ' + seconds + 's');

                product_uptime++;
            }, 1000);
        } else {
            $('.server_onlinetime').parent().fadeOut(0);
        }

        $('.server_rootpassword_change').click(() => {
            if ($('.server_rootpassword').html() !== product_rootpassword) {
                $('.server_rootpassword').html(product_rootpassword);
                $('.server_rootpassword_change').removeClass('fa fa-eye').addClass('fa fa-eye-slash');
            } else {
                $('.server_rootpassword').html('***********');
                $('.server_rootpassword_change').addClass('fa fa-eye').removeClass('fa fa-eye-slash');
            }
        });
    </script>
{/if}